Subject: bug#61400: closed (Re: bug#61400: Different filling for verbatim macros)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Feb 2023 12:51:02 +0000

Your bug report

#61400: Different filling for verbatim macros

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61400: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61400
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61400: Different filling for verbatim macros
From: Arash Esbati <[email-masked]>
To: Ikumi Keita <[email-masked]>
Cc: [email-masked], Tassilo Horn <[email-masked]>
Date: Thu, 16 Feb 2023 13:50:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Keita,

Ikumi Keita <[email-masked]> writes:

> Done. I also changed
>             (skip-chars-forward (concat "^" delimiter)))
> to
>             (skip-chars-forward (concat "^" delimiter) (line-end-position)))

many thanks for fixing this issue.  I'm therefore closing this report.

Best, Arash

Subject: Different filling for verbatim macros
From: Arash Esbati <[email-masked]>
To: auctex-bugs <[email-masked]>
Date: Fri, 10 Feb 2023 09:52:17 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

please set `TeX-parse-self' to t and load this small file:

--8<---------------cut here---------------start------------->8---
\documentclass{article}
\usepackage{url}
\usepackage{fvextra}

\begin{document}

Now we can write some text foo and \path{bar}

Now we can write some text foo and \path|bar|

Now we can write some text foo and \Verb|bar|

Now we can write some text foo and \Verb{bar}

Now we can write some text foo and \verb|bar|

\end{document}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% fill-column: 40
%%% End:
--8<---------------cut here---------------end--------------->8---

Now mark the five lines and hit 'M-q'.  I get:

--8<---------------cut here---------------start------------->8---
\documentclass{article}
\usepackage{url}
\usepackage{fvextra}

\begin{document}

Now we can write some text foo
and \path{bar}

Now we can write some text foo
and \path|bar|

Now we can write some text foo
and \Verb|bar|

Now we can write some text foo
and \Verb{bar}

Now we can write some text foo and
\verb|bar|

\end{document}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% fill-column: 40
%%% End:
--8<---------------cut here---------------end--------------->8---

Any idea what the reason is for the different break points?  This is
with Emacs 30 (emacs -Q) and latest AUCTeX from Git.

TIA.  Best, Arash